Skip to content

Portfolio⁠

Browse the Portfolio operations available through the SymXchange AccountService.

Operations⁠

createPortfolio⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/createPortfolio
POST /nexum/627/2022.01/account/createPortfolio HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PortfolioCreatableFields": {
    "Id": "string",
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createPortfolioNote⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
PortfolioNoteLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createPortfolioNote
POST /nexum/627/2022.01/account/createPortfolioNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PortfolioNoteCreatableFields": {
    "Code": 0,
    "EnterDate": "string",
    "EnterTime": 0,
    "ExpirationDate": "string",
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "UserId": 0,
    "VoidFlag": 0,
    "VoidedBy": 0
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

createPortfolioTracking⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
PortfolioTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createPortfolioTracking
POST /nexum/627/2022.01/account/createPortfolioTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PortfolioTrackingCreatableFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0,
    "UserAmount19": 0,
    "UserAmount2": 0,
    "UserAmount20": 0,
    "UserAmount3": 0,
    "UserAmount4": 0
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

deletePortfolio⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/deletePortfolio
POST /nexum/627/2022.01/account/deletePortfolio HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PortfolioId": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deletePortfolioNote⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deletePortfolioNote
POST /nexum/627/2022.01/account/deletePortfolioNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioNoteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

deletePortfolioTracking⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deletePortfolioTracking
POST /nexum/627/2022.01/account/deletePortfolioTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolio⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolio
POST /nexum/627/2022.01/account/getPortfolio HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PortfolioId": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPortfolioSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioSelectFields
POST /nexum/627/2022.01/account/getPortfolioSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PortfolioId": "0",
  "SelectableFields": {
    "IncludeAllPortfolioFields": false,
    "PortfolioFields": {
      "Id": true,
      "Description": true,
      "Balance": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPortfolioSelectFieldsFilterChildren⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioSelectFieldsFilterChildren
POST /nexum/627/2022.01/account/getPortfolioSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PortfolioId": "0",
  "SelectableFields": {
    "PortfolioFields": {
      "Id": true,
      "Description": true,
      "Balance": true
    },
    "PortfolioHoldSelectableFields": {
      "IncludeAllPortfolioHoldFields": true
    },
    "PortfolioNoteSelectableFields": {
      "IncludeAllPortfolioNoteFields": true
    },
    "PortfolioTrackingSelectableFields": {
      "IncludeAllPortfolioTrackingFields": true
    }
  },
  "ChildrenSearchFilter": {
    "PortfolioHoldFilter": {
      "Query": "string"
    },
    "PortfolioNoteFilter": {
      "Query": "string"
    },
    "PortfolioTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPortfolioPagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioPagedList
POST /nexum/627/2022.01/account/getPortfolioPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPortfolioListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioListSelectFields
POST /nexum/627/2022.01/account/getPortfolioListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SelectableFields": {
    "IncludeAllPortfolioFields": false,
    "PortfolioFields": {
      "Id": true,
      "Description": true,
      "Balance": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPortfolioPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioPagedListSelectFields
POST /nexum/627/2022.01/account/getPortfolioPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPortfolioFields": false,
    "PortfolioFields": {
      "Id": true,
      "Description": true,
      "Balance": true,
      "AvailableBalance": true,
      "CloseDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPortfolioHold⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioHold
POST /nexum/627/2022.01/account/getPortfolioHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioHoldLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioHoldSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioHoldSelectFields
POST /nexum/627/2022.01/account/getPortfolioHoldSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioHoldLocator": 0,
  "SelectableFields": {
    "IncludeAllPortfolioHoldFields": true,
    "PortfolioHoldFields": {
      "AchRecurringStop": true,
      "Amount": true,
      "AvailableBalance": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "ExpirationTime": true,
      "FeeCode": true,
      "FeeDescription": true,
      "HoldCreationDate": true,
      "HoldCreationTime": true,
      "LedgerBalance": true,
      "Locator": true,
      "MatchDate": true,
      "MatchTime": true,
      "MemberBranch": true,
      "PayeeName": true,
      "RecordChangeDate": true,
      "Reference1": true,
      "Reference2": true,
      "Reference3": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioHoldPagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioHoldPagedList
POST /nexum/627/2022.01/account/getPortfolioHoldPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioHoldListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioHoldListSelectFields
POST /nexum/627/2022.01/account/getPortfolioHoldListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "SelectableFields": {
    "IncludeAllPortfolioHoldFields": true,
    "PortfolioHoldFields": {
      "AchRecurringStop": true,
      "Amount": true,
      "AvailableBalance": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "ExpirationTime": true,
      "FeeCode": true,
      "FeeDescription": true,
      "HoldCreationDate": true,
      "HoldCreationTime": true,
      "LedgerBalance": true,
      "Locator": true,
      "MatchDate": true,
      "MatchTime": true,
      "MemberBranch": true,
      "PayeeName": true,
      "RecordChangeDate": true,
      "Reference1": true,
      "Reference2": true,
      "Reference3": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioHoldPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioHoldPagedListSelectFields
POST /nexum/627/2022.01/account/getPortfolioHoldPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPortfolioHoldFields": true,
    "PortfolioHoldFields": {
      "AchRecurringStop": true,
      "Amount": true,
      "AvailableBalance": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "ExpirationTime": true,
      "FeeCode": true,
      "FeeDescription": true,
      "HoldCreationDate": true,
      "HoldCreationTime": true,
      "LedgerBalance": true,
      "Locator": true,
      "MatchDate": true,
      "MatchTime": true,
      "MemberBranch": true,
      "PayeeName": true,
      "RecordChangeDate": true,
      "Reference1": true,
      "Reference2": true,
      "Reference3": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioNote⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioNote
POST /nexum/627/2022.01/account/getPortfolioNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioNoteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioNoteSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioNoteSelectFields
POST /nexum/627/2022.01/account/getPortfolioNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioNoteLocator": 0,
  "SelectableFields": {
    "IncludeAllPortfolioNoteFields": true,
    "PortfolioNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioNotePagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioNotePagedList
POST /nexum/627/2022.01/account/getPortfolioNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioNoteListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioNoteListSelectFields
POST /nexum/627/2022.01/account/getPortfolioNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "SelectableFields": {
    "IncludeAllPortfolioNoteFields": true,
    "PortfolioNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioNotePagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioNotePagedListSelectFields
POST /nexum/627/2022.01/account/getPortfolioNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPortfolioNoteFields": true,
    "PortfolioNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioTracking⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioTracking
POST /nexum/627/2022.01/account/getPortfolioTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioTrackingSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
PortfolioTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioTrackingSelectFields
POST /nexum/627/2022.01/account/getPortfolioTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PortfolioTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllPortfolioTrackingFields": true,
    "PortfolioTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioTrackingPagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioTrackingPagedList
POST /nexum/627/2022.01/account/getPortfolioTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioTrackingListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPortfolioTrackingListSelectFields
POST /nexum/627/2022.01/account/getPortfolioTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "SelectableFields": {
    "IncludeAllPortfolioTrackingFields": true,
    "PortfolioTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPortfolioTrackingPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPortfolioTrackingPagedListSelectFields
POST /nexum/627/2022.01/account/getPortfolioTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPortfolioTrackingFields": true,
    "PortfolioTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchPortfolioSelectFields
POST /nexum/627/2022.01/account/searchPortfolioSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllPortfolioFields": true,
    "PortfolioFields": {
      "AvailableBalance": true,
      "Balance": true,
      "CloseDate": true,
      "Description": true,
      "FmLastDate": true,
      "Id": true,
      "NotePurgeDate": true,
      "RecordChangeDate": true
    },
    "PortfolioHoldSelectableFields": {
      "IncludeAllPortfolioHoldFields": true,
      "PortfolioHoldFields": {
        "AchRecurringStop": true,
        "Amount": true,
        "AvailableBalance": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "ExpirationTime": true,
        "FeeCode": true,
        "FeeDescription": true,
        "HoldCreationDate": true,
        "HoldCreationTime": true,
        "LedgerBalance": true,
        "Locator": true,
        "MatchDate": true,
        "MatchTime": true,
        "MemberBranch": true,
        "PayeeName": true,
        "RecordChangeDate": true,
        "Reference1": true,
        "Reference2": true,
        "Reference3": true
      }
    },
    "PortfolioNoteSelectableFields": {
      "IncludeAllPortfolioNoteFields": true,
      "PortfolioNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "PortfolioTrackingSelectableFields": {
      "IncludeAllPortfolioTrackingFields": true,
      "PortfolioTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "PortfolioChildrenFilter": {
      "PortfolioHoldFilter": {
        "Query": "string"
      },
      "PortfolioNoteFilter": {
        "Query": "string"
      },
      "PortfolioTrackingFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchPortfolioPagedSelectFields
POST /nexum/627/2022.01/account/searchPortfolioPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPortfolioFields": false,
    "PortfolioFields": {
      "Id": true,
      "Description": true,
      "Balance": true,
      "AvailableBalance": true,
      "CloseDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchPortfolioHoldSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchPortfolioHoldSelectFields
POST /nexum/627/2022.01/account/searchPortfolioHoldSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "SelectableFields": {
    "IncludeAllPortfolioHoldFields": true,
    "PortfolioHoldFields": {
      "AchRecurringStop": true,
      "Amount": true,
      "AvailableBalance": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "ExpirationTime": true,
      "FeeCode": true,
      "FeeDescription": true,
      "HoldCreationDate": true,
      "HoldCreationTime": true,
      "LedgerBalance": true,
      "Locator": true,
      "MatchDate": true,
      "MatchTime": true,
      "MemberBranch": true,
      "PayeeName": true,
      "RecordChangeDate": true,
      "Reference1": true,
      "Reference2": true,
      "Reference3": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioHoldPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchPortfolioHoldPagedSelectFields
POST /nexum/627/2022.01/account/searchPortfolioHoldPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPortfolioHoldFields": true,
    "PortfolioHoldFields": {
      "AchRecurringStop": true,
      "Amount": true,
      "AvailableBalance": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "ExpirationTime": true,
      "FeeCode": true,
      "FeeDescription": true,
      "HoldCreationDate": true,
      "HoldCreationTime": true,
      "LedgerBalance": true,
      "Locator": true,
      "MatchDate": true,
      "MatchTime": true,
      "MemberBranch": true,
      "PayeeName": true,
      "RecordChangeDate": true,
      "Reference1": true,
      "Reference2": true,
      "Reference3": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioNoteSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchPortfolioNoteSelectFields
POST /nexum/627/2022.01/account/searchPortfolioNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "SelectableFields": {
    "IncludeAllPortfolioNoteFields": true,
    "PortfolioNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioNotePagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchPortfolioNotePagedSelectFields
POST /nexum/627/2022.01/account/searchPortfolioNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPortfolioNoteFields": true,
    "PortfolioNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioTrackingSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchPortfolioTrackingSelectFields
POST /nexum/627/2022.01/account/searchPortfolioTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "SelectableFields": {
    "IncludeAllPortfolioTrackingFields": true,
    "PortfolioTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPortfolioTrackingPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PortfolioIdstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchPortfolioTrackingPagedSelectFields
POST /nexum/627/2022.01/account/searchPortfolioTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPortfolioTrackingFields": true,
    "PortfolioTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updatePortfolioByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PortfolioIdstringoptional
AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updatePortfolioByID
POST /nexum/627/2022.01/account/updatePortfolioByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PortfolioId": "string",
  "PortfolioUpdatableFields": {
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updatePortfolioHoldByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PortfolioHoldLocatorintegeroptional
AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updatePortfolioHoldByID
POST /nexum/627/2022.01/account/updatePortfolioHoldByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PortfolioHoldLocator": 0,
  "PortfolioHoldUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "AccountNumber": "0000000000",
  "PortfolioId": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updatePortfolioNoteByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PortfolioNoteLocatorintegeroptional
AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updatePortfolioNoteByID
POST /nexum/627/2022.01/account/updatePortfolioNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PortfolioNoteLocator": 0,
  "PortfolioNoteUpdatableFields": {
    "Code": 0,
    "EnterDate": "string",
    "EnterTime": 0,
    "ExpirationDate": "string",
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "UserId": 0,
    "VoidFlag": 0,
    "VoidedBy": 0
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updatePortfolioTrackingByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PortfolioTrackingLocatorintegeroptional
AccountNumberstringoptional
PortfolioIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updatePortfolioTrackingByID
POST /nexum/627/2022.01/account/updatePortfolioTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PortfolioTrackingLocator": 0,
  "PortfolioTrackingUpdatableFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0,
    "UserAmount19": 0,
    "UserAmount2": 0,
    "UserAmount20": 0,
    "UserAmount3": 0,
    "UserAmount4": 0
  },
  "AccountNumber": "string",
  "PortfolioId": "string",
  "nxAttributes": {
    "customFields": {}
  }
}